> For the complete documentation index, see [llms.txt](https://docs.firework.com/firework-for-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/open-video-player.md).

# Launch Fullscreen Player (iOS)

The host application can invoke `VideoFeedViewController.openVideoPlayer` to launch the video player. This method also accepts a `VideoFeedContentSource` parameter.

### Open Single content player

```swift
func getConfiguration() -> VideoFeedContentConfiguration {
    var configuration = VideoFeedContentConfiguration()
    configuration.playerView.onFirstLaunch = .muteOnFirstLaunch
    
    // You can also customize other configurations.
    return configuration
}

VideoFeedViewController.openVideoPlayer(
    source: .singleContent(contentID: "encoded video id"),
    feedConfiguration: getConfiguration(),
    isPictureInPictureEnabled: true
) { result in
    switch result {
    case .success(let vc):
        debugPrint(">>> Opened player with feedId: \(vc.feedID)")
        break;
    default:
        break;
    }
}
```

### Open playlist player

```swift
func getConfiguration() -> VideoFeedContentConfiguration {
    var configuration = VideoFeedContentConfiguration()
    configuration.playerView.onFirstLaunch = .muteOnFirstLaunch
    
    // You can also customize other configurations.
    return configuration
}

VideoFeedViewController.openVideoPlayer(
    source: .channelPlaylist(channelID: "encoded channel id", playlistID: "encoded playlist id"),
    feedConfiguration: getConfiguration(),
    isPictureInPictureEnabled: true
) { result in
    switch result {
    case .success(let vc):
        debugPrint(">>> Opened player with feedId: \(vc.feedID)")
        break;
    default:
        break;
    }
}
```

### Configuration for opening video player <a href="#configuration-for-opening-video-player" id="configuration-for-opening-video-player"></a>

Please consult [Player configurations (iOS)](/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/customization-ios/player-configurations-ios.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/open-video-player.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
